Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_stream_add_map

## Name

librdf_stream_add_map -- Add a librdf_stream mapping function

## Synopsis

``int `librdf_stream_add_map`` (librdf_stream* `stream`, librdf_stream_map_handler `map_function`, librdf_stream_map_free_context_handler `free_context`, void * `map_context`);`

## Arguments

`stream`

  the stream

`map_function`

  -- undescribed --

`free_context`

  the function to use to free the context (or NULL)

`map_context`

  the context to pass to the map function

## Description

Adds an stream mapping function which operates over the stream to select which elements are returned; it will be applied as soon as this method is called.

Several mapping functions can be added and they are applied in the order given

The mapping function should return non 0 to allow the element to be returned.

## Return value

Non 0 on failure

<<< Previous | Home | Next >>>
librdf_stream_get_context | Up | librdf_new_stream_from_node_iterator